%define name    bumblebee
%define version 3.2.1
%define _localedir /usr/share/locale

Name:           %{name}
Summary:        Bumblebee - support for NVidia Optimus laptops on Linux!
Version:        %{version}
Release:        %mkrel 2
URL:            http://bumblebee-project.org
Source0:        http://bumblebee-project.org/%{name}-%{version}.tar.xz
Source1:		bumblebee-mdv.tar.gz

Patch0:			bumblebee-xorg-conf-nvidia-newerthan-331.13.patch

Group:          System/Kernel and hardware
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
License:        GPLv3
Requires:       dkms-nvidia-current x11-driver-video-nvidia-current
Requires:		virtualgl dkms-bbswitch gettext
BuildRequires:  help2man X11-devel glib2-devel gettext
BuildRequires:	libbsd-devel >= 0.2.0
Obsoletes:		%{name} < %{version}-%{release}

%description
Bumblebee daemon is a rewrite of the original Bumblebee service
providing an elegant and stable means of managing Optimus hybrid
graphics chipsets. A primary goal of this project is to not only
enable use of the discrete GPU for rendering, but also to enable
smart power management of the dGPU when it's not in use.

%prep
%setup -q -a1


%build

%apply_patches

autoreconf -fi 

%configure2_5x CONF_DRIVER=nvidia CONF_DRIVER_MODULE_NVIDIA=nvidia-current CONF_LDPATH_NVIDIA=/usr/lib64/nvidia-current:/usr/lib/nvidia-current CONF_MODPATH_NVIDIA=/usr/lib64/nvidia-current/xorg,/usr/lib/nvidia-current/xorg,/usr/lib64/xorg/extra-modules,/usr/lib64/xorg/modules,/usr/lib/xorg/extra-modules,/usr/lib/xorg/modules
%make

%install
rm -rf %{buildroot}
%makeinstall_std
rm -f %{buildroot}/%{_datadir}/doc/bumblebee/README.markdown %{buildroot}/%{_datadir}/doc/bumblebee/RELEASE_NOTES_3_*

mkdir -p %{buildroot}/%{_initrddir}
cp scripts/sysvinit/bumblebeed %{buildroot}/%{_initrddir}
chmod 0755 %{buildroot}/%{_initrddir}/bumblebeed

mv %{buildroot}/%{_bindir}/optirun %{buildroot}/%{_bindir}/optirun-bin
install -m 0755 bumblebee-mdv/bin/bumblebee-add-groups %buildroot/%{_bindir}/bumblebee-add-groups
install -m 0755 bumblebee-mdv/bin/optirun %buildroot/%{_bindir}/optirun

mkdir -p %{buildroot}/%{_datadir}/polkit-1/actions
cp -a bumblebee-mdv/bin/bumblebee.add-groups.policy %{buildroot}/%{_datadir}/polkit-1/actions

# translations
find bumblebee-mdv/po/* -type d | \
while read d
do
    lang=`basename $d`
    mkdir -p %buildroot/%_datadir/locale/$lang/LC_MESSAGES
    msgfmt -o %buildroot/%_datadir/locale/$lang/LC_MESSAGES/bumblebee-add-groups.mo $d/bumblebee-add-groups.po
done

#icons
mkdir -p %{buildroot}/%{_iconsdir}
cp bumblebee-mdv/bumblebee.png %{buildroot}/%{_iconsdir}

%clean
rm -rf %{buildroot}

%files
%defattr(0755,root,root)
%doc README.markdown doc/RELEASE_NOTES_3_*
%{_sysconfdir}/bash_completion.d/bumblebee
%{_sysconfdir}/bumblebee/bumblebee.conf
%{_sysconfdir}/bumblebee/xorg.conf.nouveau
%{_sysconfdir}/bumblebee/xorg.conf.nvidia
%{_sysconfdir}/bumblebee/xorg.conf.d/10-dummy.conf
%{_initrddir}/bumblebeed
%{_sbindir}/bumblebeed
/lib/udev/rules.d/99-bumblebee-nvidia-dev.rules
%{_bindir}/optirun
%{_bindir}/optirun-bin
%{_bindir}/bumblebee-add-groups
%{_bindir}/bumblebee-bugreport
%{_mandir}/man1/bumblebeed.1*
%{_mandir}/man1/optirun.1*
%{_iconsdir}/bumblebee.png
%{_localedir}/*
%{_datadir}/polkit-1/actions/bumblebee.add-groups.policy

%pre
# Add bumblebee group

	if getent group bumblebee > /dev/null
	then
	: # group already exists
	else
	groupadd -r bumblebee 2>/dev/null || :
	fi

%post
update-alternatives --set gl_conf /etc/ld.so.conf.d/GL/standard.conf
chkconfig --add bumblebeed
chkconfig bumblebeed on

%postun
groupdel bumblebee


%changelog
* Mon Mar 30 2020 onkelho <oh.quait at gmail.com> - 3.2.1-2pclos2020
- rebuild against updates

* Fri Feb 01 2019 onkelho <oh.quait at gmail.com> 3.2.1-1pclos2019
- new ver-rel
- - dep::virtualgl

* Wed May 29 2013 Texstar <texstar at gmail.com> 3.1-2pclos2013
- adjust package

* Wed May 29 2013 Texstar <texstar at gmail.com> 3.1-1pclos2013
- create package for pclos
